Workspace Switcher Shows an Empty Space in Left Side when Launcher is Moved to Bottom

Bug #1573897 reported by Budhajeewa on 2016-04-23
20
This bug affects 4 people
Affects Status Importance Assigned to Milestone
compiz (Ubuntu)
Low
Unassigned
unity (Ubuntu)
Low
handsome_feng
Xenial
Low
Unassigned

Bug Description

Workspace Switcher mode shows an empty space in left side, where the Launcher was previously located, when Launcher is moved to bottom.

See the attached screenshot.

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: unity 7.4.0+16.04.20160415-0ubuntu1
ProcVersionSignature: Ubuntu 4.4.0-21.37-generic 4.4.6
Uname: Linux 4.4.0-21-generic x86_64
.tmp.unity_support_test.0:

ApportVersion: 2.20.1-0ubuntu2
Architecture: amd64
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: compiz
CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
CompositorUnredirectFSW: true
CurrentDesktop: Unity
Date: Sat Apr 23 10:11:18 2016
DistUpgraded: Fresh install
DistroCodename: xenial
DistroVariant: ubuntu
GraphicsCard:
 Intel Corporation Core Processor Integrated Graphics Controller [8086:0046] (rev 18) (prog-if 00 [VGA controller])
   Subsystem: CLEVO/KAPOK Computer Core Processor Integrated Graphics Controller [1558:5125]
InstallationDate: Installed on 2016-04-23 (0 days ago)
InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Release amd64 (20160420.1)
Lsusb:
 Bus 002 Device 003: ID 0480:a007 Toshiba America Inc External Disk USB 3.0
 Bus 002 Device 002: ID 8087:0020 Intel Corp. Integrated Rate Matching Hub
 Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
 Bus 001 Device 002: ID 8087:0020 Intel Corp. Integrated Rate Matching Hub
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: CLEVO Co. E512xQ/E4129
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.4.0-21-generic root=UUID=d06a5306-c849-43c7-bf3b-dc8daeaf511f ro quiet splash vt.handoff=7
SourcePackage: unity
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 03/02/2011
dmi.bios.vendor: Phoenix Technologies LTD
dmi.bios.version: CALPELLACRB.86C.0000.X.0000000000
dmi.board.asset.tag: Tag 12345
dmi.board.name: E512xQ/E4129
dmi.board.vendor: CLEVO Co.
dmi.board.version: Not Applicable
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 9
dmi.chassis.vendor: CLEVO Co.
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnPhoenixTechnologiesLTD:bvrCALPELLACRB.86C.0000.X.0000000000:bd03/02/2011:svnCLEVOCo.:pnE512xQ/E4129:pvrNotApplicable:rvnCLEVOCo.:rnE512xQ/E4129:rvrNotApplicable:cvnCLEVOCo.:ct9:cvrN/A:
dmi.product.name: E512xQ/E4129
dmi.product.version: Not Applicable
dmi.sys.vendor: CLEVO Co.
version.compiz: compiz 1:0.9.12.2+16.04.20160415-0ubuntu1
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.67-1
version.libgl1-mesa-dri: libgl1-mesa-dri 11.2.0-1ubuntu2
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 11.2.0-1ubuntu2
version.xserver-xorg-core: xserver-xorg-core 2:1.18.3-1ubuntu2
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.10.1-1ubuntu2
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.7.0-1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.917+git20160325-1ubuntu1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.12-1build2
xserver.bootTime: Sat Apr 23 08:07:09 2016
xserver.configfile: default
xserver.errors:

xserver.logfile: /var/log/Xorg.0.log
xserver.outputs:
 product id 395
 vendor LGD
xserver.version: 2:1.18.3-1ubuntu2

Related branches

Budhajeewa (budhajeewa) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in unity (Ubuntu):
status: New → Confirmed
Changed in unity (Ubuntu):
assignee: nobody → handsome_feng (feng-kylin)
Andrea Azzarone (azzar1) on 2016-04-25
Changed in unity (Ubuntu):
importance: Undecided → Low
Andrea Azzarone (azzar1) on 2016-04-26
Changed in unity (Ubuntu):
status: Confirmed → In Progress
no longer affects: compiz (Ubuntu)

I've reported this in March as Bug #1562343.

Also there are two other bugs with bottom launcher:

Bug #1562346

Bug #1562348

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 7.5.0+16.10.20160517-0ubuntu1

---------------
unity (7.5.0+16.10.20160517-0ubuntu1) yakkety; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * Bumping version to 7.5.0, as per 7.4 release

  [ Andrea Azzarone ]
  * Do not reset the shortcut for icons that have their own shortcut.
    (LP: #1562847)
  * Fallback to "background" class in case no background is specified
    for title bars and top panel. (LP: #1575527)
  * GnomeKeyGrabber: do not activate an action if it's a repeated one.
    (LP: #1572241)
  * Properly calculate array indexes to avoid crashes. (LP: #1570843)
  * Properly remove SoftwareCenterLauncherIcon in case of failure. (LP:
    #1553165)
  * Update ExpoLauncherIcon in case the quicklist is used to switch vp.
    (LP: #1525685)

  [ Marco Trevisan (Treviño) ]
  * DashStyle: ensure LazyLoadTexture disconnects from signals on
    destruction (LP: #1580212)
  * Releasing Unity 7.4.0
  * SwitcherController: don't try to get a window from empty selections
    (LP: #1580211)
  * SwitcherView: close the mouse-selected application on middle-click
    (LP: #1574689)
  * UnityScreen, UnityWindow: cleanup a little the code, and ensure
    overridden CompositeWindow functions get actually called

  [ handsome_feng ]
  * Change the x_offset of expo when launcher position changed. (LP:
    #1573897, #1562348)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net> Tue, 17 May 2016 02:56:22 +0000

Changed in unity (Ubuntu):
status: In Progress → Fix Released

Hello Budhajeewa, or anyone else affected,

Accepted compiz into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/compiz/1:0.9.12.2+16.04.20160526-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed
Brian Murray (brian-murray) wrote :

Hello Budhajeewa, or anyone else affected,

Accepted unity into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/unity/7.4.0+16.04.20160526.1-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in unity (Ubuntu Xenial):
status: New → Fix Committed
tags: added: verification-done
removed: verification-needed
Changed in unity (Ubuntu Xenial):
importance: Undecided → Low
Changed in compiz (Ubuntu):
status: New → Fix Committed
importance: Undecided → Low
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package compiz - 1:0.9.12.2+16.04.20160526-0ubuntu1

---------------
compiz (1:0.9.12.2+16.04.20160526-0ubuntu1) xenial; urgency=medium

  [ Andrea Azzarone ]
  * Add an option to notify that a key press is actually an "auto
    repeat" one. (LP: #1572241)

  [ Alberts Muktupāvels ]
  * OpenGL: use the number of Opaque windows around to decide whether
    paint the bg or not (LP: #1574866)

  [ Marco Trevisan (Treviño) ]
  * Scale: use the selectedWindow as starting point when focusing a
    window (LP: #1575168)
  * Scale: allow to iterate through windows using Tab key
  * Window: call stateChangeNotify when compiz state changed but before
    changing the WM state (LP: #1521302)

  [ Eleni Maria Stea ]
  * Expo, Scale: add support for bottom offsets (LP: #1562346, LP:
    #1573897)

  [ handsome_feng ]
  * Add a YBottomOffset value when stretch maximized windows。 (LP:
    #1562348)

  [ CI Train Bot ]
  * No-change rebuild.

 -- Marco Trevisan (Treviño) <mail@3v1n0.net> Thu, 26 May 2016 00:12:16 +0000

Changed in compiz (Ubuntu):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for compiz has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 7.4.0+16.04.20160526.1-0ubuntu1

---------------
unity (7.4.0+16.04.20160526.1-0ubuntu1) xenial; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * Releasing Unity 7.4.0

  [ Andrea Azzarone ]
  * Properly remove SoftwareCenterLauncherIcon in case of failure. (LP:
    #1553165)
  * Update ExpoLauncherIcon in case the quicklist is used to switch vp.
    (LP: #1525685)
  * GnomeKeyGrabber: do not activate an action if it's a repeated one.
    (LP: #1572241)
  * Properly calculate array indexes to avoid crashes. (LP: #1570843)
  * Fallback to "background" class in case no background is specified
    for title bars and top panel. (LP: #1575527)
  * Do not reset the shortcut for icons that have their own shortcut.
    (LP: #1562847)

  [ Marco Trevisan (Treviño) ]
  * SwitcherView: close the mouse-selected application on middle-click
    (LP: #1574689)
  * UnityScreen, UnityWindow: cleanup a little the code, and ensure
    overridden CompositeWindow functions get actually called
  * SwitcherController: don't try to get a window from empty selections
    (LP: #1580211)
  * DashStyle: ensure LazyLoadTexture disconnects from signals on
    destruction (LP: #1580212)

  [ handsome_feng ]
  * Change the x_offset of expo when launcher position changed. (LP:
    #1562348, LP: #1573897)

  [ CI Train Bot ]
  * No-change rebuild.

 -- Marco Trevisan (Treviño) <mail@3v1n0.net> Thu, 26 May 2016 00:03:25 +0000

Changed in unity (Ubuntu Xenial):
status: Fix Committed → Fix Released

I still get this, but on the right side of the screen

On what version of Ubuntu and what version of Unity.

I just checked it on 16.10 and I don't have any gaps in workspace switcher.

apt policy unity

Installed: 7.5.0+16.10.20161112-0ubuntu1

If you have gap on the right side of the screen you should open a new bug report. This as the title suggest was about gap on the left side. If you open a new bug report please specify the version of Ubuntu you are using and also Unity version. Try to determine if the problem occurs in a specific circumstances (the way to reproduce it).

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers